Bug 170032 - db4: omit %_libdir/lib*.la files
Summary: db4: omit %_libdir/lib*.la files
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: db4   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-06 17:56 UTC by Rex Dieter
Modified: 2013-07-02 23:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 13:02:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2005-10-06 17:56:15 UTC
pretty much the same arguments used in bug #170029 and bug #170031.

Please remove all %{_libdir}/lib*.la files and static libs from the -devel
package.  This will reduce libtool/library bloat.

Further, it will (mostly) solve the problem of needing to add
extreneous Requires: db4-devel to other (-devel) packages built against
db4-devel (to account for the references to /usr/lib/libdb-4.3.la in their own
.la files).

(mostly Library) packages with .la files of their own that
BuildRequires: db4-devel
will need to be rebuilt after this modification.

If you insist in still including the .la files (and static libraries), please
package them separately into something like db4-static or
db4-devel-static, so it would be possible to omit this extra crud in other
rpms that
BuildRequires: db4-devel
via
BuildConflicts: db4-devel-static

Comment 1 Rex Dieter 2006-04-30 00:05:52 UTC
I *think* rpm still needs the static libs... so let's just target the .la files,
which is pretty much agreed Best Practice these days.

Comment 2 Rex Dieter 2007-01-26 13:02:28 UTC
My list of bugs is too long already, marking WONTFIX (for now). (:

This issue will/should get addressed during the F7 package review anyway.


Note You need to log in before you can comment on or make changes to this bug.